efl::eina::_inlist_common_base< T, Allocator > Struct Template Reference

Data Structures | Public Types | Public Member Functions | Data Fields
efl::eina::_inlist_common_base< T, Allocator > Struct Template Reference
Eina C++Eina C++ » | Data Types » Containers » Inline List

Common implementations for inline list. More...

## Data Structures
struct | _inlist_impl

## Public Types
typedef Allocator::template rebind< _inlist_node< T > >::other | node_allocator_type
| Type for the allocator of the node. More...
typedef Allocator | allocator_type
| Type for the allocator. More...
typedef _inlist_node< T > | node_type
| Type for the list node. More...
typedef Eina_Inlist * | native_handle_type
| Native type. More...

## Public Member Functions
| _inlist_common_base (Allocator allocator)
| Creates a list with the given allocator. More...
| _inlist_common_base (native_handle_type inlist)
| Wraps the native object. More...
| _inlist_common_base ()
| Creates an empty inline list.
| ~_inlist_common_base ()
| Destructor. More...
void | clear ()
| Deallocate all nodes of the list.
node_allocator_type & | get_node_allocator ()
| Get the allocator used by the list.

## Data Fields
_inlist_impl | _impl

## Detailed Description

### template<typename T, typename Allocator>
struct efl::eina::_inlist_common_base< T, Allocator >

Common implementations for inline list.

## Member Typedef Documentation

## ◆ node_allocator_type

template<typename T , typename Allocator >

typedef Allocator::template rebind<_inlist_node<T> >::other efl::eina::_inlist_common_base< T, Allocator >::node_allocator_type

Type for the allocator of the node.

## ◆ allocator_type

template<typename T , typename Allocator >

typedef Allocator efl::eina::_inlist_common_base< T, Allocator >::allocator_type

Type for the allocator.

## ◆ node_type

template<typename T , typename Allocator >

typedef _inlist_node<T> efl::eina::_inlist_common_base< T, Allocator >::node_type

Type for the list node.

## ◆ native_handle_type

template<typename T , typename Allocator >

typedef Eina_Inlist* efl::eina::_inlist_common_base< T, Allocator >::native_handle_type

Native type.

## Constructor & Destructor Documentation

## ◆ _inlist_common_base() [1/2]

template<typename T , typename Allocator >

efl::eina::_inlist_common_base< T, Allocator >::_inlist_common_base | ( | Allocator | allocator | ) |
| inline

Creates a list with the given allocator.

Parameters

  allocator | Allocator object.

## ◆ _inlist_common_base() [2/2]

template<typename T , typename Allocator >

efl::eina::_inlist_common_base< T, Allocator >::_inlist_common_base | ( | native_handle_type | inlist | ) |
| inline

Wraps the native object.

Parameters

  inlist | The native inlist object (Eina_Inlist*).

## ◆ ~_inlist_common_base()

template<typename T , typename Allocator >

efl::eina::_inlist_common_base< T, Allocator >::~_inlist_common_base | ( |  | ) |
| inline

Destructor.

Deallocate all nodes of the list.